Page MenuHomePhabricator

Enable beta function for Flow on user pages at nowiki, plus page about Flow and test page (and related configuration)
Closed, ResolvedPublic

Description

It seems like the idea is that I define the configuration as seems fit

We want the page Wikipedia-diskusjon:Flow for those that does not want to use mw:Talk:Flow. We are in general reluctant to translate names, and "Flow" is the name of the extension.

We want the page Wikipedia:Flow/sandkasseas our sandbox page. "Sandkasse" is a direct translation of "Sandbox".

We want Sak as our local namespace, that is localized version of Topic. Several translations are in use at Translatewiki, we must correct them. Reasoning for why "Sak" is the correct one is that translation of "...when discussing topic..." would be "...når saken diskuteres...".

We want an archival pattern .../arkiv 1, there are a lot of variation, but people are capable of moving the page to correct location if necessary.

The discussion is at Wikipedia:Tinget#Diskusjonssystemet Flow.

Posted a new date for finalizing the discussion, April 17.

Event Timeline

jeblad created this task.Apr 14 2016, 2:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2016, 2:43 PM
MarcoAurelio added a subscriber: MarcoAurelio.

This requires two actions:

  • Namespace translation, which is done in the extension itself.
  • Enabling flow for certain pages at nowiki.

I can take care of the first, and I think I can handle the second too.

MarcoAurelio triaged this task as Low priority.Apr 14 2016, 2:46 PM

I think we can have this for next week or two, does not seem very urgent; although I'm just working on this.

jeblad added a comment.EditedApr 14 2016, 2:47 PM

Seems like at least one late-comer have a different opinion, so please wait a few days. Perhaps more people have opinions.

The late-comer want Tråd as name of the namespace and .../arkiv/1as the archive pattern. I don't mind on choice of archive pattern, but I'm pretty sure "Sak" is better than "Tråd" as name for the namespace.

Sure, no problems. I'll however translate the namespaces in the extension since those don't affect the outcome of the discussion :)

jeblad updated the task description. (Show Details)Apr 14 2016, 2:58 PM

The late-comer want Tråd as name of the namespace and .../arkiv/1as the archive pattern. I don't mind on choice of archive pattern, but I'm pretty sure "Sak" is better than "Tråd" as name for the namespace.

Please come back with a definitive name for the "Topic" namespace then. While easy to change, it requires sending a patch to gerrit and all the bureaucracy :)

I'm not sure we can change how Flow talk page manager (the flow-bot that archives the old wikitext pages) archives the pages so it can use a different archiving method. I'll ask.

MarcoAurelio changed the task status from Open to Stalled.Apr 14 2016, 3:07 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptApr 14 2016, 3:07 PM

I'm not sure we can change how Flow talk page manager (the flow-bot that archives the old wikitext pages) archives the pages so it can use a different archiving method. I'll ask.

Yes, it is configurable. Currently, it will look for the first format of the following that is in use, then use the next number for that format. If none are in use, it will use the first one with %d as 1.

/Arkiv %d
/Arkiv%d
/arkiv %d
/arkiv%d

(above is not the actual format, it's slightly simplified)

If there's consensus to use that archive format, someone can edit https://no.wikipedia.org/wiki/MediaWiki:Flow-conversion-archive-page-name-format . Just add a new line at the very top (you probably don't need to remove anything):

%s/arkiv/%d

Mattflaschen-WMF renamed this task from Enable beta function for Flow on user pages at nowiki to Enable beta function for Flow on user pages at nowiki, plus page about Flow and test page (and related configuration).Apr 14 2016, 6:35 PM

This requires two actions:

  • Namespace translation, which is done in the extension itself.
  • Enabling flow for certain pages at nowiki.

I can take care of the first, and I think I can handle the second too.

There is also the third thing (only mentioned in the title as "Enable beta function" but it's also discussed on-wiki and I assume that still holds):

  • Enable opt-in BetaFeature so people can choose to use Flow on their user talk

This is wmgFlowEnableOptInBetaFeature.

jeblad added a comment.EditedApr 17 2016, 3:37 PM

The alternate local discussion page should be w:no:Wikipedia-diskusjon:Flow (Punkt 1, navn på alternativ side)

The local sandbox should be w:no:Wikipedia:Flow/sandkasse (Punkt 2, navn på sandkassen)

The local namespace should be Sak and sak with capitalization as seems fit (Punkt 3, navn på navnerommet)
We can't really agree on the name of the namespace, partly because topic does not have a clear translation. We have two for and one against emne which is closer to subject than topic. I have proposed sak which has some support from another translator. Because I always are correct (!) I would say we go for sak, but changes if there are strong disagreement later on.

The preferred archive scheme should be %s/Arkiv/%d (Punkt 4, navn på arkiverte sider)
I would say we keep the system message as it is and change it locally like described in T132693#2207846, that sounds just right to me.

And yes, T132693#2207866 is right, it is about enabling the beta feature to turn on Flow on individual users discussion pages. This is so we can try it out locally, but without changing central discussion forums yet.

We can't really agree on the name of the namespace, partly because topic does not have a clear translation. We have two for and one against emne which is closer to subject than topic. I have proposed sak which has some support from another translator. Because I always are correct (!) I would say we go for sak, but changes if there are strong disagreement later on.

Please finalize this now. Changing the namespace translation later would break links (both internal and external) to topics, if the links used the translation.

jeblad added a comment.EditedApr 18 2016, 1:39 PM

I can't tell the community to stop discussing this, they know about the task and we have already tried to make a final decision twice. Yes links will break if we change the name of the namespace later on, but it won't be difficult to fix, it just needs a bot run.

The community is clearly told what will be the configuration (here), and I don't think we should restart the discussion yet another time.

A discussion on the archive pattern was restarted late yesterday (here), this is neither important for setup of the beta function.

If something is missing in our discussions, then someone from the technical community should clearly state whats missing on our Wikipedia:Tinget.

Would adding a value to $wgNamespaceAliases solve the problem, @Mattflaschen?
I mean, if we set Flow namespace now as "Sak" and we later have to change
it to "Emme", would adding Sak at $wgNamespaceAliases solve the broken
links issue?

@jeblad - We ain't really on a hurry so we can wait all the time it's
needed for the community to make a decision :)

Best regards, M.

@jeblad Anything about community or test pages where e have to set-up Flow?

Creating the flow boards can be done by someone with access to User:Flow talk page manager or in the global-flow-create global group.

@MarcoAurelio I have that right, that's why I'm asking if a test page has been defined. :)

jeblad added a comment.EditedApr 23 2016, 3:01 AM

"We want the page Wikipedia:Flow/sandkasse as our sandbox page."

Note that the discussion has been about turning on the beta feature for user talk pages, and not about creating additional test pages.

MarcoAurelio removed MarcoAurelio as the assignee of this task.Apr 23 2016, 8:59 PM

I'll leave this task to be handled in its entirety to the StructuredDiscussions team as they can create both, the Flow boards and submit the patches at Phabricator, so we don't have to wait for each-other for this task to be resolved.

jeblad added a comment.EditedApr 25 2016, 11:46 PM

Thanks for enabling Wikipedia:Flow/sandkasse.

I can't tell the community to stop discussing this, they know about the task and we have already tried to make a final decision twice. Yes links will break if we change the name of the namespace later on, but it won't be difficult to fix, it just needs a bot run.

Bot runs can't fix external links.

Would adding a value to $wgNamespaceAliases solve the problem, @Mattflaschen?
I mean, if we set Flow namespace now as "Sak" and we later have to change
it to "Emme", would adding Sak at $wgNamespaceAliases solve the broken
links issue?

Yes, I think so. But while that can be done if necessary, it's not something we want to encourage, since namespace names are not a renewable resource. We've already run into problems with collisions, e.g. T107973: de, nl, and pt have same namespace name for Flow Topic and LiquidThreads Thread.

Yes I'm aware of the problem with possible namespace collisions, thats why I'm trying to encourage use of Sak as the name of the local namespace. The term Emne is close to Subject, and the term Sak can be translated as Case. Is the term Topic closer to Subject or Case? We are discussing a case, not a subject.

There will be no further action on my part to propose any other name for the namespace.

jeblad added a comment.EditedMay 1 2016, 2:16 PM

I made one attempt on name of the namespace, no:Wikipedia:Tinget#Forslag til navn på navnerommet, but the response is non-existing. After a lengthy discussion people have lost interest. If there are no response in a few day I will close the task.

We can choose Emne as a namespace by default and possibly change it later.
At the moment, Topic is used and Flow works.

jeblad added a comment.May 2 2016, 1:25 PM

I have no idea why Trizek posted that "Emne" was preferred, it is the only proposal that got negative votes in the previous attempt to establish consensus. The reason is that emne is a category-like term in Norwegian. Something belongs to it. A sak might be part of it.

Posts in a discourse can also be about an "emne", but the discourse itself is not an "emne". Note what Dan said "Både eposter og diskusjoner kan ha emner, men emnet er jo ikke diskusjonen eller eposten." ("Both emails and discussions kan have 'emner', but 'emnet' is not the discussion or the email.")

The term "topic" is difficult to interpret in several languages as it has a several conflicting meanings. It can be about a subject (emne) but it can also be about an issue (sak). A discourse consist of an opening post establishing the theme and several posts with rheme. The theme can be part of an "emne", but the discourse is about a "sak".

The new post does not use a ranking of the preferred names, it use points. That makes it possible to sum points given by users to the different alternatives. It says so in the leading text. Perhaps Trizek didn't read (translated) the text and misunderstood.

I have no idea why Trizek posted that "Emne" was preferred, it is the only proposal that got negative votes in the previous attempt to establish consensus. The reason is that emne is a category-like term in Norwegian. Something belongs to it. A sak might be part of it.

I don't speak Norwegian and I use translation tools. That may be confusing.

Posts in a discourse can also be about an "emne", but the discourse itself is not an "emne". Note what Dan said "Både eposter og diskusjoner kan ha emner, men emnet er jo ikke diskusjonen eller eposten." ("Both emails and discussions kan have 'emner', but 'emnet' is not the discussion or the email.")
The term "topic" is difficult to interpret in several languages as it has a several conflicting meanings. It can be about a subject (emne) but it can also be about an issue (sak). A discourse consist of an opening post establishing the theme and several posts with rheme. The theme can be part of an "emne", but the discourse is about a "sak".

A ''Topic'' is more on the idea of a discourse. So "Sak" would be the best one, right?
If we want to move on ant close that task, we have to choose something.

The new post does not use a ranking of the preferred names, it use points. That makes it possible to sum points given by users to the different alternatives. It says so in the leading text. Perhaps Trizek didn't read (translated) the text and misunderstood.

That's it. At least the machine misunderstood. :)
I'm going to change my message on your Wikipedia.

Trizek-WMF changed the task status from Stalled to Open.May 4 2016, 11:02 AM
Trizek-WMF assigned this task to Mattflaschen-WMF.

@Mattflaschen, the choice has been made for the Topc namespace. It is Sak, per that discussion.

When that namespace will be changed, that task will be considered as resolved.

Trizek-WMF raised the priority of this task from Low to Normal.May 4 2016, 11:02 AM

Change 286874 had a related patch set uploaded (by Mattflaschen):
Add Topic alias (Sak) for Norwegian Bokmål

https://gerrit.wikimedia.org/r/286874

Change 286874 merged by jenkins-bot:
Add Topic alias (Sak) for Norwegian Bokmål

https://gerrit.wikimedia.org/r/286874

@jeblad, you have titled that page "Enable beta function for Flow on user pages at nowiki", but I don't see the consensus on your local wiki for that Beta activation I may have missed it, can you point it out to me? Thanks!

jeblad added a comment.May 9 2016, 7:33 PM

The whole discussion at w:no:Wikipedia:Tinget is about enabling Flow as such, and later we talk about the beta-function, but we never have made any voting over whether the beta function should be enabled.

Some fragments (I'm using Google Translate - feeling lazy today)

Note that the only thing that is needed is consensus that we use beta feature for opt-in. This is not allowing for the use of Flow anywhere else than on users' own talk pages. If one chooses to use Flow the old one will talk page made into an archive. If one chooses to turn the solution of so done Flow page into an archive. — Jeblad 27. mar. 2016 kl. 15:29 (CEST)

A lengthy discussion about misunderstandings

Possibly we need a poll to determine whether this feature can be turned on. Thought in essence this was reasonably obvious. — Jeblad 27. mar. 2016 kl. 20:54 (CEST)

Then it is (my interpretation of consensus)

  • yes from Kjetil_r 27. mar. 2016 kl. 21:06 (CEST)
  • yes from Danmichaelo 27. mar. 2016 kl. 22:06 (CEST)
  • A comment from GAD
  • Cocu 3. apr. 2016 kl. 12:12 (CEST)
  • A comment from Kjetil_r 3. apr. 2016 kl. 12:24 (CEST)
  • yes from Ulf Larsen 3. apr. 2016 kl. 13:05 (CEST) (only one against)
  • a comment from Kjetil_r 9. apr. 2016 kl. 11:16 (CEST) (about moving forward)

As I interpret the discussion we have consensus on enabling Flow, and we start by enabling the beta function for user talk pages (aka opt-in, se for example Kjetil_r 27. mar. 2016 kl. 21:06 (CEST)). This is a test for us, and as such we don't want a roll-out on any other pages for the moment. We will be discussing the system in a few months, and only then will we open up for other pages. (See Kjetil_r 27. mar. 2016 kl. 21:06 (CEST) for example)

Kjetil added a subscriber: Kjetil.May 9 2016, 7:44 PM

jeblad's summary is accurate, the consensus is clear.

Thanks a lot, @jeblad and @Kjetil. And sorry for the disturbance, I may have skipped parts of that conversation.

Enable Flow will be deplyed as a Beta feature soon. I'll keep you posted on wiki.

jeblad awarded a token.May 9 2016, 7:57 PM

Change 287730 had a related patch set uploaded (by Catrope):
Enable Flow opt-in beta feature on nowiki

https://gerrit.wikimedia.org/r/287730

Change 287730 had a related patch set uploaded (by Catrope):
Enable Flow opt-in beta feature on nowiki
https://gerrit.wikimedia.org/r/287730

Scheduled for deployment at 23:00 - 00:00 UTC today (in about 3 hours).

jeblad added a comment.May 9 2016, 8:31 PM

Thanks from all of us to all of you! :D

Change 287730 merged by jenkins-bot:
Enable Flow opt-in beta feature on nowiki

https://gerrit.wikimedia.org/r/287730

Catrope closed this task as Resolved.May 9 2016, 11:16 PM

Deployed, and confirmed working.

Catrope claimed this task.May 9 2016, 11:54 PM

Thanks from all of us to all of you! :D

And thank you for that initiative :)

Qgil awarded a token.May 10 2016, 9:56 AM

It is still somewhat incomplete due to T62493, after merge of T134865

Quiddity closed this task as Resolved.May 13 2016, 9:14 PM
Quiddity added a subscriber: Quiddity.

It is still somewhat incomplete due to T62493, after merge of T134865

Yes, but that bug is not specific to Nowiki, so I'll close this task as resolved.
Thanks again!